ScheduledItem (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.schedule.ScheduledItem class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.schedule
Class ScheduledItem

    java.lang.Object
      org.hyperic.util.schedule.ScheduledItem

    public class ScheduledItem

extends java.lang.Object

Method Summary
`long` | `getId()`
`long` | `getInterval()`
`long` | `getNextTime()`
`java.lang.Object` | `getObj()`
`static long` | `getScheduledTime(long interval)` Get the time when something scheduled right now would be executed.
`static long` | `getScheduledTimePrev(long interval)` The the previous fire time for an item that scheduled
`boolean` | `isRepeat()`
`void` | `stepNextTime()` Step the nextTime attribute to the current nextTime plus the interval for which the object should repeat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getScheduledTimePrev

    public static long getScheduledTimePrev(long interval)

  The the previous fire time for an item that scheduled

  Parameters:
    `interval` - The millisecond interval
  Returns:
    The previous fire time this item should be executed

### getScheduledTime

    public static long getScheduledTime(long interval)

  Get the time when something scheduled right now would be executed.

  Parameters:
    `interval` - The millisecond interval that would ordinarily be passed to a ScheduledItem constructor.
  Returns:
    the time when a scheduled item with the passed interval would be executed.

### getObj

    public java.lang.Object getObj()

### getInterval

    public long getInterval()

### getNextTime

    public long getNextTime()

### isRepeat

    public boolean isRepeat()

### getId

    public long getId()

### stepNextTime

    public void stepNextTime()

  Step the nextTime attribute to the current nextTime plus the interval for which the object should repeat.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.